curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id}/secure \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id}/secure"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id}/secure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cvv": "268",
"expire_date": "08/27",
"card_number": "4937240100009999"
}Retrieve Sensitive Card Details
Retrieves the secure information for a specific card identified by card_id. This information includes details such as expire_date and cvv.
Note: This endpoint is exclusively available to organizations that hold a valid PCI DSS certification. If your organization is not PCI-certified, please use the Secure iFrame integration to retrieve sensitive card information.
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
"71fdb0fe-9682-457a-9361-e8868694f12f"
Response
OK - Successfully retrieved a card.

